package com.ruoyi.system.domain.grid.ext;

import com.ruoyi.system.domain.grid.GridCompanyLawArchives;
import com.ruoyi.system.domain.grid.GridCompanyLawArchivesAttachment;

import java.util.List;

public class GridCompanyLawArchivesExt extends GridCompanyLawArchives {

    //扩展
    private String companyName;

    private String companyType;

    private String wgCode;

    private String companyTypeName;

    private String wgName;

    private String archivesTypeName;

    private List<GridCompanyLawArchivesAttachment> attachmentList;

    public List<GridCompanyLawArchivesAttachment> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<GridCompanyLawArchivesAttachment> attachmentList) {
        this.attachmentList = attachmentList;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getCompanyTypeName() {
        return companyTypeName;
    }

    public void setCompanyTypeName(String companyTypeName) {
        this.companyTypeName = companyTypeName;
    }

    public String getWgName() {
        return wgName;
    }

    public void setWgName(String wgName) {
        this.wgName = wgName;
    }

    public String getArchivesTypeName() {
        return archivesTypeName;
    }

    public void setArchivesTypeName(String archivesTypeName) {
        this.archivesTypeName = archivesTypeName;
    }
}
